Skip to main content
GET
/
audit_logs
/
{audit_log_token}
Get audit log by token
curl --request GET \
  --url https://api.vantage.sh/v2/audit_logs/{audit_log_token} \
  --header 'Authorization: Bearer <token>'
{
  "token": "adt_lg_1234567890abcdef",
  "object_token": "rpt_1234567890abcdef",
  "object_type": "Report",
  "object_title": "Production Cost Report",
  "event": "record_updated",
  "source": "api",
  "user": "Example User",
  "workspace_title": "Production Workspace",
  "workspace_token": "wrkspc_5df510e54a48a137",
  "created_at": "2025-07-01T14:30:00Z",
  "object_changes": {
    "title": [
      "Old Production Report",
      "Production Cost Report"
    ],
    "updated_at": [
      "2025-06-15T10:00:00Z",
      "2025-07-01T14:30:00Z"
    ]
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.vantage.sh/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

audit_log_token
string
required

Response

AuditLog model

token
string
required

The unique token identifying the audit log.

Example:

"adt_lg_1234567890abcdef"

object_token
string | null
required

The token of the audited object.

Example:

"rpt_1234567890abcdef"

object_type
string
required

The type of the audited object.

Example:

"Report"

object_title
string | null
required

The title of the audited object.

Example:

"Production Cost Report"

event
string
required

The event type of the audit log.

Example:

"record_created"

source
string
required

The source of the action (console, api, developer).

Example:

"console"

created_at
string
required

The date and time, in UTC, the audit log was created. ISO 8601 Formatted.

Example:

"2021-07-09T00:00:00Z"

changed_values
object
required

The changed values of the object.

unchanged_values
object
required

The unchanged values of the object.

user
string | null

The name of the user who performed the action.

workspace_title
string | null

The name of the workspace associated with the audit log.

workspace_token
string | null

The token of the workspace associated with the audit log.

Example:

"wrkspc_1234567890abcdef"